import React, { PropsWithChildren } from 'react';
import { noop, OutlineVariant } from '@highlight-ui/utils-commons';
import { SelectOption, SelectVariant } from '../types';
export declare type PopoverTriggerProps<T extends SelectOption> = PropsWithChildren<{
    /** Should component be enabled or disabled */
    disabled: boolean;
    /** Label being shown by default on the trigger button */
    label: string;
    /** Id passed to the trigger */
    triggerId?: string;
    /** Sets the color of the input's border */
    outline?: OutlineVariant;
    /** Automatically focus the Select's trigger on mount */
    autoFocus?: boolean;
    /** Input size property for width */
    size?: number;
    variant: SelectVariant;
    visible: boolean;
    onClick: typeof noop;
    selectRef: React.Ref<HTMLElement>;
    onClear?: (evt: React.MouseEvent | React.KeyboardEvent) => void;
    setListVisibility: (value: boolean) => void;
    triggerRef: React.Ref<HTMLElement>;
    /**
     * Set to `true` when you have a `multi-select` scenario
     */
    multiple?: boolean;
    selectedOptions: T[];
}>;
declare const PopoverTrigger: {
    <T extends SelectOption>({ children, triggerRef, ...passedProps }: PopoverTriggerProps<T>): any;
    displayName: string;
};
export default PopoverTrigger;
