/// <reference types="react" />
import { PropsWithMetadata, noop } from '@highlight-ui/utils-commons';
export declare type SelectChipProps = PropsWithMetadata<{
    /**
     * Sets the SelectChip's text.
     */
    children: string;
    /**
     * Disables the SelectChip. Causes the `onRemove` prop to be ignored when this prop is set to `true`.
     */
    disabled?: boolean;
    /**
     * Sets a callback for when the SelectChip is removed. Ignored when `disabled` is set to `true`.
     *
     * A removal event can happen when the SelectChip's remove icon is clicked or
     * when the SelectChip has focus and `Escape` or `Backspace` is pressed on the keyboard.
     */
    onRemove?: typeof noop;
}>;
declare const SelectChip: ({ children, disabled, onRemove, metadata, }: SelectChipProps) => JSX.Element;
export default SelectChip;
