import React from 'react';
import { noop, OutlineVariant } from '@highlight-ui/utils-commons';
import { SelectOption, SelectVariant } from '../types';
export declare type InputTriggerProps<T> = {
    /** Should component be enabled or disabled */
    disabled?: boolean;
    /** Label being shown by default on the trigger button */
    label?: string;
    /** Id passed to the trigger */
    triggerId?: string;
    /** Sets the color of the input's border */
    outline?: OutlineVariant;
    /** Automatically focus the Select's trigger on mount */
    autoFocus?: boolean;
    variant?: SelectVariant;
    visible?: boolean;
    onClick?: typeof noop;
    selectRef?: React.Ref<HTMLElement>;
    onClear?: (evt: React.MouseEvent | React.KeyboardEvent) => void;
    selectedOptions?: T[];
    size?: number;
};
declare const InputTrigger: React.ForwardRefExoticComponent<InputTriggerProps<SelectOption> & React.RefAttributes<HTMLDivElement>>;
export default InputTrigger;
