import React, { ReactNode } from 'react';
import { SelectProps, SelectOption } from './BaseSelect/types';
export declare type BasicSelectProps<T extends SelectOption> = Pick<SelectProps<T>, 'className' | 'listClassName' | 'disabled' | 'variant' | 'metadata' | 'onSelect' | 'emptyStateLabel' | 'selectedOptions' | 'triggerLabel' | 'autoFocus' | 'isLoading'> & {
    children: ReactNode;
};
declare const BasicSelect: {
    <T extends SelectOption>({ className, listClassName, disabled, variant, metadata, onSelect, emptyStateLabel, selectedOptions, triggerLabel, autoFocus, isLoading, children, }: BasicSelectProps<T>, ref: React.Ref<HTMLDivElement>): JSX.Element;
    Option: React.FC<Pick<any, "value">>;
    OptionGroup: ({ name, children }: import("./BaseSelect/ListBox/components/OptionGroup").OptionGroupProps) => JSX.Element;
};
export default BasicSelect;
